curl -X POST "https://app.talkover.ai/api/v1/calendars" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Sales Demo Calendar",
"timezone": "America/New_York",
"owner_id": "user-uuid-1"
}'
{
"success": true,
"data": {
"id": "calendar-uuid-1",
"name": "Sales Demo Calendar",
"timezone": "America/New_York",
"owner_id": "user-uuid-1",
"created_at": "2024-01-15T18:00:00Z"
}
}
Calendars
Create Calendar
Create a calendar
POST
/
api
/
v1
/
calendars
curl -X POST "https://app.talkover.ai/api/v1/calendars" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Sales Demo Calendar",
"timezone": "America/New_York",
"owner_id": "user-uuid-1"
}'
{
"success": true,
"data": {
"id": "calendar-uuid-1",
"name": "Sales Demo Calendar",
"timezone": "America/New_York",
"owner_id": "user-uuid-1",
"created_at": "2024-01-15T18:00:00Z"
}
}
Create Calendar
Create a new calendar.Endpoint
POST /api/v1/calendars
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_herestring
required
Must be set to
application/jsonRequest body
string
required
Calendar name. Max 255 characters.
string
IANA timezone (e.g.,
America/New_York). Defaults to environment timezone.string
required
UUID of the user who owns the calendar.
object
Optional free-form metadata.
Examples
curl -X POST "https://app.talkover.ai/api/v1/calendars" \
-H "Authorization: Bearer talq_your_environment_token_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Sales Demo Calendar",
"timezone": "America/New_York",
"owner_id": "user-uuid-1"
}'
Response
{
"success": true,
"data": {
"id": "calendar-uuid-1",
"name": "Sales Demo Calendar",
"timezone": "America/New_York",
"owner_id": "user-uuid-1",
"created_at": "2024-01-15T18:00:00Z"
}
}
Was this page helpful?